<?php
// +----------------------------------------------------------------------
// | 单一入口
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

/*--------------------------------- 此处可做一些预处理操作 ---------------------------------*/
# 设置统一的浏览器编码
header("Content-type: text/html; charset=utf-8"); 
# 设置统一的时区
date_default_timezone_set('PRC');

# ① 创建常量
defined('EXT')      or define('EXT', '.php');                                                     // php文件的统一后缀名风格
defined('__PATH__') or define('__PATH__', dirname(__FILE__));                                     // 相对于服务器根目录地址-用于引入文件
defined('__ROOT__') or define('__ROOT__', stripslashes(dirname($_SERVER['SCRIPT_NAME'])).'/');    // 相对于浏览器的项目根目录地址-用于加载静态文件
defined('DS')       or define('DS', DIRECTORY_SEPARATOR);                                         // 当前系统的目录分隔符-简化版-用于引入文件
defined('ROUTE_GROUP')       or define('ROUTE_GROUP', 'home');                                    // 路由器对应分组
defined('ROUTE_SUFFIX')      or define('ROUTE_SUFFIX', '.html');                                  // 路由器后缀名
defined('ROUTE_DELIMITER')   or define('ROUTE_DELIMITER', '-');                                   // 路由器分隔符
# PHP模板文件存放地址
defined('VIEW_PATH') or define('VIEW_PATH', __PATH__ . DS . ROUTE_GROUP . DS .'view');
# PHP处理文件存放地址
defined('HANDLE_PATH') or define('HANDLE_PATH', __PATH__ . DS . ROUTE_GROUP . DS .'handle');                       


# ② 引入公共函数库
require_once __PATH__ .DS. 'vendor' .DS. 'common' .DS. 'function' .EXT;
# ③ 引入路由核心函数库
require_once __PATH__ .DS. 'vendor' .DS. 'route' .DS. 'route' .EXT;
# ④ 引入数据库公共核心函数库
require_once __PATH__ .DS. 'vendor' .DS. 'common' .DS. 'db' .EXT;
# ⑤ 引入分页公共核心函数库
require_once __PATH__ .DS. 'vendor' .DS. 'common' .DS. 'page' .EXT;
# ⑥ 引入分组对应的公共函数库
require_once __PATH__ .DS. ROUTE_GROUP .DS. 'function' .EXT;
# ⑦ 调用路由器
ROUTE();

/*--------------------------------- 此处可做一些后置处理操作 -------------------------------*/