<?php
// +----------------------------------------------------------------------
// | 分页函数
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

/**
 * 
 * @param int $sql 需要查询数据分页的SQL语句
 * @param int    $num 每页显示多少条数据
 * @return array 分页结果
 */
/**
 * 分页函数
 * @todo 无
 * @author 小黄牛
 * @version v1.1.8 + 2019.04.01
 * @deprecated 暂不弃用
 * @global 无
 * @param int $count 总数据
 * @param int $num 每页数
 * @return void
*/
function page($count, $num = 10) {
    # 1、先接受当前页数
    if (empty($_GET['page']) || $_GET['page']==1) {
        $page        = 1;
        $limit_left  = 0;
        $limit_right = $num;
    } else {
        $page = $_GET['page'];
        $limit_left  = ($page * $num) - $num;
        $limit_right = $num;
    }

    # 2、总分页数，是应该用总记录数/$num，然后有余数则进1的
    $total = ceil($count / $num);

    # 分页实体
    $html = '';

    # 先来接个分页头
    if ($page == 1) {
        $html .= "<a class='pagination_page disabled'>首页</a>";
        $html .= "<a class='pagination_page disabled'>上一页</a>";
    } else {
        $html .= "<a class='pagination_page' href='?page=1'>首页</a>";
        $html .= "<a class='pagination_page' href='?page=".($page-1)."'>上一页</a>";
    }
    
    # 第一种场景
    if ($total <= 9 || $page <= 4) {
        if ($total >=9 ) {
            $total = 9;
        }
        for ($i=1; $i <= $total; $i++) { 
            if ($i==$page){
                $html .= "<div class='pagination_page pagination_page_active'>$i</div>";
            } else{
                $html .= "<a class='pagination_page' href='?page=$i'>$i</a>";
            }
        }
    } else {
        # 第三种场景，当前分页数大于等于5，并且就算加5页也要小于等于总页数
        if ($page >= 5 && (($page+5) <= $total) ) {
            # 先计算出左边分页数
            $left  = $page - 4;
            $key   = $page - 1;
            for ($i=$left; $i <= $key; $i++) { 
                $html .= "<a class='pagination_page' href='?page=$i'>$i</a>";
            }
            # 合并中间分页数
            $html .= "<div class='pagination_page pagination_page_active'>$i</div>";
            # 再计算出右边分页数
            $right = $page + 4;
            $key   = $page + 1;
            for ($i=$key; $i <= $right; $i++) { 
                $html .= "<a class='pagination_page' href='?page=$i'>$i</a>";
            }
        # 第二种场景
        } else {
            $key = $total - 8;
            for ($i=$key; $i <= $total; $i++) { 
                if ($i==$page){
                    $html .= "<div class='pagination_page pagination_page_active'>$i</div>";
                } else{
                    $html .= "<a class='pagination_page' href='?page=$i'>$i</a>";
                }
            }
        }
    }

    # 最后接个分页尾
    if ($page == $total) {
        $html .= "<a class='pagination_page disabled'>下一页</a>";
        $html .= "<a class='pagination_page pagination_right disabled'>尾页</a>";
    } else {
        $html .= "<a class='pagination_page' href='?page=".($page+1)."'>下一页</a>";
        $html .= "<a class='pagination_page pagination_right' href='?page=$total'>尾页</a>";
    }

    # 6、返回结果
    return [
        'html'  => $html,
        'limit' => [$limit_left,$limit_right],
    ];
}