<?php
// +----------------------------------------------------------------------
// | 简单路由引用
// +----------------------------------------------------------------------
// | Copyright (c) 2018 https://blog.junphp.com All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: 小黄牛 <1731223728@qq.com>
// +----------------------------------------------------------------------

/**
 * 获取用户当前请求的URL地址
 * @return string|bool URL地址 或 系统禁止路由优化功能
 */
function Path_Info() {
    # nginx环境下需要修改.conf文件才能支持
    if (isset($_SERVER['PATH_INFO'])) {
        return $_SERVER['PATH_INFO'];
    }
    
    if (isset($_SERVER['REDIRECT_PATH_INFO'])) {
        return $_SERVER['REDIRECT_PATH_INFO'];
    }
    
    if (isset($_SERVER['REDIRECT_URL'])) {
        return $_SERVER['REDIRECT_URL'];
    }
    
    return false;
}

/**
 * 简单路由
 */
function route_run(){
    
    $c = !empty($_GET['c']) ? $_GET['c'] : 'index';
    $v = !empty($_GET['v']) ? $_GET['v'] : 'index';
    
    # 创建常量 - 文件夹||文件
    defined('ROUTE_CONTROLLER') or define('ROUTE_CONTROLLER', $c);
    defined('ROUTE_ACTION')     or define('ROUTE_ACTION', $v);
    # 组装文件路径
    $file = VIEW_PATH . DS . ROUTE_CONTROLLER . DS . ROUTE_ACTION . EXT;
    
    # 检测文件是否存在 - 不存在则返回false
    if (file_exists($file)) {
        return $file;
    } else {
        # 尝试去寻找处理文件
        $file = HANDLE_PATH . DS . ROUTE_CONTROLLER . DS . ROUTE_ACTION . EXT;
        if (file_exists($file)) {
            return $file;
        }
    }

    return false;
}

/**
 * 调用路由
 */
function ROUTE(){
    $file = route_run();
    
    # 404 页面
    if ($file === false) {
        header('HTTP/1.1 404 Not Found');
        error('页面不存在', false);
    }
    # 引入文件
    require_once $file;
}